#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: monad-par
version: 0.3.4.7
id: monad-par-0.3.4.7-3f8300d7b17135ca342a4fc83ad11b84
key: monad_HegpQ0fPHFW7LPSm8gmwdQ
license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/monad-par-0.3.4.7
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/monad-par-0.3.4.7
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/monad-par-0.3.4.7
hs-libraries: HSmonad-par-0.3.4.7-HegpQ0fPHFW7LPSm8gmwdQ
include-dirs: /usr/local/include
depends:
    abstract-deque-0.3-b91ea457204829b404cb65530a40521d
    abstract-par-0.3.3-9c924a8e9ec2e7da1022422fedfe2ce8
    array-0.5.1.0-aabf9daaf6d89a89ffdaf632a0eb259e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    monad-par-extras-0.3.3-e7a7e5a75e45fdce9f47c4eb10df528d
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    mwc-random-0.13.3.2-c6934eea0250fd50ed9dee03dbe292e1
    parallel-3.2.0.6-7fc1c74ef4215a71c3a5b51007178df6
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/monad-par-0.3.4.7/html/monad-par.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/monad-par-0.3.4.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
